from .styled_element import StyledElement
from .props import StrProp, SrcProp


class image(StyledElement):
    """
    Renders an image located at the location given by the `src`
    prop. The source can be either a local path on the local
    filesystem, or a URL.
    """

    src = SrcProp(None)
    text = StrProp("")

    def args_to_props(self, *src, **props):
        if len(src) > 1:
            raise ValueError("Image accepts at most one positional arg: `src`")
        elif len(src) == 1:
            props["src"] = src[0]
        return props
