from ..core.element import Element
from .props import StrProp


class plaintext(Element):
    label = StrProp("")

    def args_to_props(self, *label, **props):
        """
        If `*label` is provided, the parts are joined by `" "` and used to
        updated the `label` prop. Basically, you can instantiate this
        component in two ways:

        ```py
        hd.plaintext("Hello", "World")
        hd.plaintext(label="Hello World")
        ```
        """
        if label:
            props["label"] = " ".join([str(x) for x in label])
        return super().args_to_props(**props)
